diff --git a/functional/ControlsTests/src/javafx/scene/control/test/slider/SliderNewApp.java b/functional/ControlsTests/src/javafx/scene/control/test/slider/SliderNewApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/slider/SliderNewApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/slider/SliderNewApp.java
@@ -28,9 +28,7 @@
 import javafx.event.EventHandler;
 import javafx.scene.Scene;
 import javafx.scene.control.Button;
-import javafx.scene.control.ButtonBuilder;
 import javafx.scene.control.Slider;
-import javafx.scene.control.SliderBuilder;
 import javafx.scene.control.test.utils.CommonPropertiesScene;
 import javafx.scene.control.test.utils.ptables.PropertiesTable;
 import javafx.scene.control.test.utils.ptables.PropertyTablesFactory;
@@ -76,13 +74,15 @@
 
         @Override
         final protected void prepareScene() {
-            testedSlider = SliderBuilder.create().id(TESTED_SLIDER_ID).build();
+            testedSlider = new Slider();
+            testedSlider.setId(TESTED_SLIDER_ID);
 
             tb = new PropertiesTable(testedSlider);
             PropertyTablesFactory.explorePropertiesList(testedSlider, tb);
             SpecialTablePropertiesProvider.provideForControl(testedSlider, tb);
 
-            Button resetButton = ButtonBuilder.create().id(RESET_BUTTON_ID).text("Reset").build();
+            Button resetButton = new Button("Reset");
+            resetButton.setId(RESET_BUTTON_ID);
             resetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -92,7 +92,8 @@
                 }
             });
 
-            Button setCustomConverter = ButtonBuilder.create().id(APPLY_CUSTOM_LABEL_FORMATTER).text("ApplyCsustomConverter").build();
+            Button setCustomConverter = new Button("ApplyCsustomConverter");
+            setCustomConverter.setId(APPLY_CUSTOM_LABEL_FORMATTER);
             setCustomConverter.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     testedSlider.setLabelFormatter(new CustomConverter());
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/splitpane/SplitPaneApp.java b/functional/ControlsTests/src/javafx/scene/control/test/splitpane/SplitPaneApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/splitpane/SplitPaneApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/splitpane/SplitPaneApp.java
@@ -76,14 +76,17 @@
 
         private void prepareScene() {
             pane = new Pane();
-            testedSplitPane = SplitPaneBuilder.create().id(TESTED_SPLIPANE_ID).build();
+            testedSplitPane = new SplitPane();
+            testedSplitPane.setId(TESTED_SPLIPANE_ID);
 
             PropertiesTable tb = new PropertiesTable(testedSplitPane);
             PropertyTablesFactory.explorePropertiesList(testedSplitPane, tb);
 
             final TabPaneWithControl tabPane = new TabPaneWithControl("Accordion", tb);
 
-            final TextField tf = TextFieldBuilder.create().id(SPLITPANE_ADD_INDEX_TEXT_FIELD_ID).text("0").prefWidth(40).build();
+            final TextField tf = new TextField("0");
+            tf.setId(SPLITPANE_ADD_INDEX_TEXT_FIELD_ID);
+            tf.setPrefWidth(40);
 
             HBox nodeshb = new NodesChoserFactory("Add!", new NodesChoserFactory.NodeAction<Node>() {
 
@@ -106,7 +109,8 @@
             hb.setPadding(new Insets(5, 5, 5, 5));
             hb.setStyle("-fx-border-color : green;");
 
-            Button resetButton = ButtonBuilder.create().id(RESET_BUTTON_ID).text("Reset").build();
+            Button resetButton = new Button("Reset");
+            resetButton.setId(RESET_BUTTON_ID);
             resetButton.setOnAction(new EventHandler<ActionEvent>() {
 
                 public void handle(ActionEvent t) {
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/tableview/NewTableViewApp.java b/functional/ControlsTests/src/javafx/scene/control/test/tableview/NewTableViewApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/tableview/NewTableViewApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/tableview/NewTableViewApp.java
@@ -24,10 +24,10 @@
  */
 package javafx.scene.control.test.tableview;
 
-import com.sun.javafx.scene.control.skin.NestedTableColumnHeader;
-import com.sun.javafx.scene.control.skin.TableColumnHeader;
-import com.sun.javafx.scene.control.skin.TableHeaderRow;
-import com.sun.javafx.scene.control.skin.TableViewSkin;
+import javafx.scene.control.skin.NestedTableColumnHeader;
+import javafx.scene.control.skin.TableColumnHeader;
+import javafx.scene.control.skin.TableHeaderRow;
+import javafx.scene.control.skin.TableViewSkin;
 import java.util.ArrayList;
 import java.util.HashMap;
 import java.util.Map;
@@ -66,6 +66,8 @@
 import static javafx.commons.Consts.*;
 import static javafx.commons.Consts.Cell.*;
 import javafx.scene.Node;
+import static javafx.scene.control.test.treetable.ResetButtonNames.HARD_RESET_BUTTON_ID;
+import static javafx.scene.control.test.treetable.ResetButtonNames.SOFT_RESET_BUTTON_ID;
 import javafx.scene.control.test.utils.ComponentsFactory.MultipleIndexFormComponent.MultipleIndicesAction;
 import static org.junit.Assert.assertTrue;
 
@@ -129,7 +131,8 @@
             tabPane = new TabPaneWithControl("TableView", tb);
             tabPane.setMinSize(1000, 1000);
 
-            Button hardResetButton = ButtonBuilder.create().id(HARD_RESET_BUTTON_ID).text("Hard reset").build();
+            Button hardResetButton = new Button("Hard reset");
+            hardResetButton.setId(HARD_RESET_BUTTON_ID);
             hardResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -139,7 +142,8 @@
                 }
             });
 
-            Button softResetButton = ButtonBuilder.create().id(SOFT_RESET_BUTTON_ID).text("Soft reset").build();
+            Button softResetButton = new Button("Soft reset");
+            softResetButton.setId(SOFT_RESET_BUTTON_ID);
             softResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     TableView newOne = new TableView();
@@ -327,7 +331,7 @@
                         public String toString() {
                             return "CUSTOM " + super.toString();
                         }
-
+/*
                         @Override
                         protected TableHeaderRow createTableHeaderRow() {
                             return new TableHeaderRow(this) {
@@ -350,6 +354,7 @@
                                 }
                             };
                         }
+                        */
                     });
                 }
             });
@@ -456,10 +461,8 @@
 
             hb.getChildren().addAll(cmbEditors, chbCustom, btnSetEditor);
 
-            Button btn = ButtonBuilder.create()
-                    .text("Set onEdit event hadlers")
-                    .id(BTN_SET_ON_EDIT_EVENT_HANDLERS)
-                    .build();
+            Button btn = new Button("Set onEdit event hadlers");
+            btn.setId(BTN_SET_ON_EDIT_EVENT_HANDLERS);
 
             btn.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
@@ -896,4 +899,5 @@
         }
         return testData;
     }
-}
\ No newline at end of file
+}
+
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/tabpane/NewTabPaneApp.java b/functional/ControlsTests/src/javafx/scene/control/test/tabpane/NewTabPaneApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/tabpane/NewTabPaneApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/tabpane/NewTabPaneApp.java
@@ -91,13 +91,15 @@
             pane.setPrefSize(220, 220);
             pane.setStyle("-fx-border-color : red;");
 
-            testedTabPane = TabPaneBuilder.create().id(TESTED_TABPANE_ID).build();
+            testedTabPane = new TabPane();
+            testedTabPane.setId(TESTED_TABPANE_ID);
             pane.getChildren().add(testedTabPane);
 
             tb = new PropertiesTable(testedTabPane);
             PropertyTablesFactory.explorePropertiesList(testedTabPane, tb);
 
-            Button btnResetHardly = ButtonBuilder.create().id(RESET_BUTTON_ID).text("Reset").build();
+            Button btnResetHardly = new Button("Reset");
+            btnResetHardly.setId(RESET_BUTTON_ID);
             btnResetHardly.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -107,7 +109,8 @@
                 }
             });
 
-            Button btnResetSoftly = ButtonBuilder.create().id(RESET_SOFTLY_BUTTON_ID).text("Reset softly").build();
+            Button btnResetSoftly = new Button("Reset softly");
+            btnResetSoftly.setId(RESET_SOFTLY_BUTTON_ID);
             btnResetSoftly.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
 
@@ -176,20 +179,16 @@
             grid.getColumnConstraints().addAll(column1, column2);
             //row #1
             grid.add(new Label("Tab ID"), 0, 0);
-            final TextField newTabId = TextFieldBuilder.create()
-                    .id(NEW_TAB_ID_TEXT_FIELD_ID)
-                    .text("ID")
-                    .prefWidth(40d)
-                    .build();
+            final TextField newTabId = new TextField("ID");
+            newTabId.setPrefWidth(40d);
+            newTabId.setId(NEW_TAB_ID_TEXT_FIELD_ID);
             grid.add(newTabId, 1, 0);
 
             //row #2
             grid.add(new Label("Index"), 0, 1);
-            final TextField newTabIndex = TextFieldBuilder.create()
-                    .id(TABPANE_ADD_INDEX_TEXT_FIELD_ID)
-                    .text("0")
-                    .prefWidth(40)
-                    .build();
+            final TextField newTabIndex = new TextField("0");
+            newTabIndex.setId(TABPANE_ADD_INDEX_TEXT_FIELD_ID);
+            newTabIndex.setPrefWidth(40);
             grid.add(newTabIndex, 1, 1);
 
             //row #3
@@ -206,10 +205,7 @@
              * If true then there will be created a properties pane
              * for tab content each time a tab is added
              */
-            final CheckBox createPropsTab = CheckBoxBuilder
-                    .create()
-                    .text("Create additional panes\n with content properties")
-                    .build();
+            final CheckBox createPropsTab = new CheckBox("Create additional panes\n with content properties");
             grid.add(createPropsTab, 0, 3, 2, 1);
 
             //row #5
@@ -217,11 +213,8 @@
              * If true then there will be created a properties pane
              * for tab content each time a tab is added
              */
-            final CheckBox vetoOnClose = CheckBoxBuilder
-                    .create()
-                    .text("Veto tab request on close.")
-                    .id(VETO_CHECKBOX_ID)
-                    .build();
+            final CheckBox vetoOnClose = new CheckBox("Veto tab request on close.");
+            vetoOnClose.setId(VETO_CHECKBOX_ID);
             grid.add(vetoOnClose, 0, 4, 2, 1);
 
             //row #6
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/tabpane/TabPaneApp2.java b/functional/ControlsTests/src/javafx/scene/control/test/tabpane/TabPaneApp2.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/tabpane/TabPaneApp2.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/tabpane/TabPaneApp2.java
@@ -32,7 +32,7 @@
 import javafx.event.EventHandler;
 import javafx.geometry.Side;
 import javafx.scene.Scene;
-import javafx.scene.control.ButtonBuilder;
+import javafx.scene.control.Button;
 import javafx.scene.control.ChoiceBox;
 import javafx.scene.control.ContextMenu;
 import javafx.scene.control.Label;
@@ -113,34 +113,34 @@
             error = new Label();
             error.setId(ERROR_ID);
 
-            controls.getChildren().add(
-                    ButtonBuilder.create()
-                    .text(CLEAR_BTN_ID).id(CLEAR_BTN_ID)
-                    .onAction(new EventHandler<ActionEvent>() {
+            Button temp;
+
+            temp = new Button(CLEAR_BTN_ID);
+            temp.setId(CLEAR_BTN_ID);
+            temp.setOnAction(new EventHandler<ActionEvent>() {
                         public void handle(ActionEvent t) {
                             tabPane.getTabs().clear();
                         }
-                    }).build());
+            });
+            controls.getChildren().add(temp);
 
-            controls.getChildren().add(
-                    ButtonBuilder.create()
-                    .text(RESET_BTN_ID).id(RESET_BTN_ID)
-                    .onAction(new EventHandler<ActionEvent>() {
-
+            temp = new Button(RESET_BTN_ID);
+            temp.setId(RESET_BTN_ID);
+            temp.setOnAction(new EventHandler<ActionEvent>() {
                         public void handle(ActionEvent t) {
                             reset();
                         }
-                    }).build());
+            });
+            controls.getChildren().add(temp);
 
-            controls.getChildren().add(
-                    ButtonBuilder.create()
-                    .text(ADD_SINGLE_BTN_ID).id(ADD_SINGLE_BTN_ID)
-                    .onAction(new EventHandler<ActionEvent>() {
-
+            temp = new Button(ADD_SINGLE_BTN_ID);
+            temp.setId(ADD_SINGLE_BTN_ID);
+            temp.setOnAction(new EventHandler<ActionEvent>() {
                         public void handle(ActionEvent t) {
                             tabPane.getTabs().add(new NamedTab(TAB_ITEM + tabPane.getTabs().size()));
                         }
-                    }).build());
+            });
+            controls.getChildren().add(temp);
 
             HBox add_position_box = new HBox(5);
             controls.getChildren().add(add_position_box);
@@ -148,15 +148,14 @@
             final TextField add_position = new TextField("0");
             add_position.setId(ADD_POS_EDIT_ID);
 
-            add_position_box.getChildren().add(
-                    ButtonBuilder.create()
-                    .text(ADD_SINGLE_AT_POS_BTN_ID).id(ADD_SINGLE_AT_POS_BTN_ID)
-                    .onAction(new EventHandler<ActionEvent>() {
-
+            temp = new Button(ADD_SINGLE_AT_POS_BTN_ID);
+            temp.setId(ADD_SINGLE_AT_POS_BTN_ID);
+            temp.setOnAction(new EventHandler<ActionEvent>() {
                         public void handle(ActionEvent t) {
                             tabPane.getTabs().add(new NamedTab("Tab " + tabPane.getTabs().size()));
                         }
-                    }).build());
+            });
+            add_position_box.getChildren().add(temp);
 
             final Label add_label = new Label("at");
             add_position_box.getChildren().add(add_label);
@@ -170,17 +169,16 @@
             final TextField disable_position = new TextField("0");
             disable_position.setId(DISABLE_POS_EDIT_ID);
 
-            disable_position_box.getChildren().add(
-                    ButtonBuilder.create()
-                    .text(DISABLE_SINGLE_AT_POS_BTN_ID).id(DISABLE_SINGLE_AT_POS_BTN_ID)
-                    .onAction(new EventHandler<ActionEvent>() {
-
+            temp = new Button(DISABLE_SINGLE_AT_POS_BTN_ID);
+            temp.setId(DISABLE_SINGLE_AT_POS_BTN_ID);
+            temp.setOnAction(new EventHandler<ActionEvent>() {
                         public void handle(ActionEvent t) {
                             Integer pos = Integer.valueOf(disable_position.getText());
                             Tab tab = tabPane.getTabs().get(pos.intValue());
                             tab.setDisable(!tab.isDisable());
                         }
-                    }).build());
+            });
+            disable_position_box.getChildren().add(temp);
 
             final Label disable_label = new Label("at");
             disable_position_box.getChildren().add(disable_label);
@@ -194,15 +192,14 @@
             final TextField remove_position = new TextField("0");
             remove_position.setId(REMOVE_POS_EDIT_ID);
 
-            remove_position_box.getChildren().add(
-                    ButtonBuilder.create()
-                    .text(REMOVE_SINGLE_AT_POS_BTN_ID).id(REMOVE_SINGLE_AT_POS_BTN_ID)
-                    .onAction(new EventHandler<ActionEvent>() {
-
+            temp = new Button(REMOVE_SINGLE_AT_POS_BTN_ID);
+            temp.setId(REMOVE_SINGLE_AT_POS_BTN_ID);
+            temp.setOnAction(new EventHandler<ActionEvent>() {
                         public void handle(ActionEvent t) {
                             tabPane.getTabs().remove(Integer.valueOf(remove_position.getText()).intValue());
                         }
-                    }).build());
+            });
+            remove_position_box.getChildren().add(temp);
 
             final Label remove_label = new Label("at");
             remove_position_box.getChildren().add(remove_label);
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/textinput/TextAreaPropertiesApp.java b/functional/ControlsTests/src/javafx/scene/control/test/textinput/TextAreaPropertiesApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/textinput/TextAreaPropertiesApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/textinput/TextAreaPropertiesApp.java
@@ -28,9 +28,7 @@
 import javafx.event.EventHandler;
 import javafx.scene.Scene;
 import javafx.scene.control.Button;
-import javafx.scene.control.ButtonBuilder;
 import javafx.scene.control.TextArea;
-import javafx.scene.control.TextField;
 import javafx.scene.layout.Pane;
 import test.javaclient.shared.Utils;
 
@@ -72,7 +70,8 @@
 
         @Override
         public void addControlSpecificButtons(Pane pane) {
-            Button button = ButtonBuilder.create().id(ADD_TEXT_BUTTON_ID).text("Add much text").build();
+            Button button = new Button("Add much text");
+            button.setId(ADD_TEXT_BUTTON_ID);
             button.setOnAction(new EventHandler() {
 
                 public void handle(Event t) {
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/textinput/TextControlApp.java b/functional/ControlsTests/src/javafx/scene/control/test/textinput/TextControlApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/textinput/TextControlApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/textinput/TextControlApp.java
@@ -81,7 +81,8 @@
             hb.setPadding(new Insets(5, 5, 5, 5));
             hb.setStyle("-fx-border-color : green;");
 
-            Button resetButton = ButtonBuilder.create().id(RESET_BUTTON_ID).text("RESET").build();
+            Button resetButton = new Button("RESET");
+            resetButton.setId(RESET_BUTTON_ID);
             resetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     tb.refresh();
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/textinput/TextFieldPropertiesApp.java b/functional/ControlsTests/src/javafx/scene/control/test/textinput/TextFieldPropertiesApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/textinput/TextFieldPropertiesApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/textinput/TextFieldPropertiesApp.java
@@ -29,8 +29,8 @@
 import javafx.event.EventHandler;
 import javafx.scene.Scene;
 import javafx.scene.control.Button;
-import javafx.scene.control.ButtonBuilder;
 import javafx.scene.control.TextField;
+import static javafx.scene.control.test.textinput.TextControlApp.ADD_TEXT_BUTTON_ID;
 import javafx.scene.layout.Pane;
 import test.javaclient.shared.Utils;
 
@@ -79,7 +79,8 @@
 
         @Override
         public void addControlSpecificButtons(Pane pane) {
-            Button setOnActionListenerButton = ButtonBuilder.create().id(SET_ON_ACTION_BUTTON_ID).text("Set on action listener").build();
+            Button setOnActionListenerButton = new Button("Set on action listener");
+            setOnActionListenerButton.setId(SET_ON_ACTION_BUTTON_ID);
             setOnActionListenerButton.setOnAction(new EventHandler() {
 
                 public void handle(Event t) {
@@ -92,7 +93,8 @@
                 }
             });
 
-            Button addTextButton = ButtonBuilder.create().id(ADD_TEXT_BUTTON_ID).text("Add \"sometext\"").build();
+            Button addTextButton = new Button("Add \"sometext\"");
+            addTextButton.setId(ADD_TEXT_BUTTON_ID);
             addTextButton.setOnAction(new EventHandler() {
 
                 public void handle(Event t) {
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/textinput/TextInputExternalWrap.java b/functional/ControlsTests/src/javafx/scene/control/test/textinput/TextInputExternalWrap.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/textinput/TextInputExternalWrap.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/textinput/TextInputExternalWrap.java
@@ -25,7 +25,6 @@
 
 package javafx.scene.control.test.textinput;
 
-import com.sun.javafx.scene.text.HitInfo;
 import javafx.scene.Node;
 import javafx.scene.control.TextInputControl;
 import javafx.scene.control.test.textinput.TextInputChanger.TextInputControlWrapInterface;
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/toolbar/NewToolbarApp.java b/functional/ControlsTests/src/javafx/scene/control/test/toolbar/NewToolbarApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/toolbar/NewToolbarApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/toolbar/NewToolbarApp.java
@@ -79,14 +79,17 @@
 
         private void prepareScene() {
             pane = new Pane();
-            testedToolbar = ToolBarBuilder.create().id(TESTED_TOOLBAR_ID).build();
+            testedToolbar = new ToolBar();
+            testedToolbar.setId(TESTED_TOOLBAR_ID);
 
             PropertiesTable tb = new PropertiesTable(testedToolbar);
             PropertyTablesFactory.explorePropertiesList(testedToolbar, tb);
 
             final TabPaneWithControl tabPane = new TabPaneWithControl("ToolBar", tb);
 
-            final TextField tf = TextFieldBuilder.create().id(TOOLBAR_ADD_INDEX_TEXT_FIELD_ID).text("0").prefWidth(40).build();
+            final TextField tf = new TextField("0");
+            tf.setId(TOOLBAR_ADD_INDEX_TEXT_FIELD_ID);
+            tf.setPrefWidth(40);
 
             HBox nodeshb = new NodesChoserFactory("Add!", new NodesChoserFactory.NodeAction<Node>() {
 
@@ -109,7 +112,8 @@
             hb.setPadding(new Insets(5, 5, 5, 5));
             hb.setStyle("-fx-border-color : green;");
 
-            Button resetButton = ButtonBuilder.create().id(RESET_BUTTON_ID).text("Reset").build();
+            Button resetButton = new Button("Reset");
+            resetButton.setId(RESET_BUTTON_ID);
             resetButton.setOnAction(new EventHandler<ActionEvent>() {
 
                 public void handle(ActionEvent t) {
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/tooltip/NewTooltipApp.java b/functional/ControlsTests/src/javafx/scene/control/test/tooltip/NewTooltipApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/tooltip/NewTooltipApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/tooltip/NewTooltipApp.java
@@ -73,7 +73,8 @@
         @Override
         final protected void prepareScene() {
             pane = new Pane();
-            testedTooltip = TooltipBuilder.create().id(TESTED_TOOLTIP_ID).build();
+            testedTooltip = new Tooltip();
+            testedTooltip.setId(TESTED_TOOLTIP_ID);
 
             tb = new PropertiesTable(testedTooltip);
             PropertyTablesFactory.explorePropertiesList(testedTooltip, tb);
@@ -93,7 +94,8 @@
             hb.setPadding(new Insets(5, 5, 5, 5));
             hb.setStyle("-fx-border-color : green;");
 
-            Button resetButton = ButtonBuilder.create().id(RESET_BUTTON_ID).text("Reset").build();
+            Button resetButton = new Button("Reset");
+            resetButton.setId(RESET_BUTTON_ID);
             resetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/treetable/TreeTableNewApp.java b/functional/ControlsTests/src/javafx/scene/control/test/treetable/TreeTableNewApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/treetable/TreeTableNewApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/treetable/TreeTableNewApp.java
@@ -24,10 +24,10 @@
  */
 package javafx.scene.control.test.treetable;
 
-import com.sun.javafx.scene.control.skin.NestedTableColumnHeader;
-import com.sun.javafx.scene.control.skin.TableColumnHeader;
-import com.sun.javafx.scene.control.skin.TableHeaderRow;
-import com.sun.javafx.scene.control.skin.TreeTableViewSkin;
+import javafx.scene.control.skin.NestedTableColumnHeader;
+import javafx.scene.control.skin.TableColumnHeader;
+import javafx.scene.control.skin.TableHeaderRow;
+import javafx.scene.control.skin.TreeTableViewSkin;
 import java.util.ArrayList;
 import java.util.Comparator;
 import java.util.HashMap;
@@ -54,6 +54,7 @@
 import javafx.scene.control.cell.ComboBoxTreeTableCell;
 import javafx.scene.control.cell.TextFieldTreeTableCell;
 import javafx.scene.control.test.tableview.NewTableViewApp;
+import static javafx.scene.control.test.treetable.ResetButtonNames.HARD_RESET_BUTTON_ID;
 import javafx.scene.control.test.treeview.TreeViewConstants;
 import javafx.scene.control.test.utils.CommonPropertiesScene;
 import javafx.scene.control.test.utils.ComponentsFactory.MultipleIndexFormComponent;
@@ -193,7 +194,8 @@
             hb.setPadding(new Insets(5, 5, 5, 5));
             hb.setStyle("-fx-border-color : green;");
 
-            Button resetButton = ButtonBuilder.create().id(HARD_RESET_BUTTON_ID).text("Reset").build();
+            Button resetButton = new Button("Reset");
+            resetButton.setId(HARD_RESET_BUTTON_ID);
             resetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -628,7 +630,7 @@
                         public String toString() {
                             return "CUSTOM " + super.toString();
                         }
-
+/*
                         @Override
                         protected TableHeaderRow createTableHeaderRow() {
                             return new TableHeaderRow(this) {
@@ -651,6 +653,7 @@
                                 }
                             };
                         }
+*/
                     });
                 }
             });
@@ -707,8 +710,11 @@
 
         private HBox getScrollToHBox() {
             HBox hb = new HBox();
-            Button button = ButtonBuilder.create().text("ScrollTo").id(SCROLL_TO_BUTTON_ID).build();
-            final TextField tf = TextFieldBuilder.create().text("0").id(SCROLL_TO_TEXT_FIELD_ID).prefWidth(50).build();
+            Button button = new Button("ScrollTo");
+            button.setId(SCROLL_TO_BUTTON_ID);
+            final TextField tf = new TextField("0");
+            tf.setId(SCROLL_TO_TEXT_FIELD_ID);
+            tf.setPrefWidth(50);
 
             button.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
@@ -722,8 +728,12 @@
 
         private HBox getEditHBox() {
             HBox hb = new HBox();
-            Button button = ButtonBuilder.create().text("Edit").id(EDIT_BUTTON_ID).build();
-            final TextField tf = TextFieldBuilder.create().promptText("name").id(EDIT_TEXT_FIELD_ID).prefWidth(50).build();
+            Button button = new Button("Edit");
+            button.setId(EDIT_BUTTON_ID);
+            final TextField tf = new TextField();
+            tf.setPromptText("name");
+            tf.setId(EDIT_TEXT_FIELD_ID);
+            tf.setPrefWidth(50);
 
             button.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
@@ -739,11 +749,8 @@
         private VBox setEventHandlersHBox() {
             VBox vb = new VBox();
 
-            Button btn = ButtonBuilder.create()
-                    .text("Set onEdit event hadlers")
-                    .id(BTN_SET_ON_EDIT_EVENT_HANDLERS)
-                    .build();
-
+            Button btn = new Button("Set onEdit event hadlers");
+            btn.setId(BTN_SET_ON_EDIT_EVENT_HANDLERS);
             btn.setOnAction(new EventHandler<ActionEvent>() {
                 final EventHandler eventHandlerOnEditStart = new EventHandler() {
                     public void handle(Event t) {
@@ -780,11 +787,8 @@
                 }
             });
 
-            Button btnAddFactory = ButtonBuilder.create()
-                    .text("Set cell factory for editing")
-                    .id(SET_CELL_FACTORY_FOR_EDITING)
-                    .build();
-
+            Button btnAddFactory = new Button("Set cell factory for editing");
+            btnAddFactory.setId(SET_CELL_FACTORY_FOR_EDITING);
             btnAddFactory.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     for (Object obj : testedControl.getColumns()) {
